var STORAGE_KEY = "GetGoogleMapPointInfo";
var storage = chrome.storage.local;
var LINE_DELIMITER = ",&#13;";

// storageからデータを取得する
function dispStoredData(){
	var el_disp = document.getElementById("ChromePlugin-result-disp");
	el_disp.innerHTML = "";

	// chrome storageから値を取得, 画面に表示
	storage.get(STORAGE_KEY, function (data) {
		// STORAGE_KEYに一致するデータがなければ初期化
		var stored_info = data[STORAGE_KEY];
		if(!stored_info || !Array.isArray(stored_info)){ stored_info = []; }

		// 画面に描画
		el_disp.innerHTML = JSON.stringify(stored_info);
	});
}

// 画面表示の値をchrome storageに保存する
function saveData(data){
	var save_obj = {};
	save_obj[STORAGE_KEY] = data;

	// chromeのstorageに保存
	storage.set(save_obj, function() {
	    dispStoredData();
	});
}

// 画面表示時イベント
document.addEventListener("DOMContentLoaded", function() {

	// ポップアップロード時に保存データを描画
	dispStoredData();

	// GETボタン押下時イベント
	document.getElementById("ChromePlugin-get").addEventListener("click", function(){
		// タブにクエリを発行してscraping実行
		chrome.tabs.query({active: true, currentWindow: true}, function(tabs) {
	     	chrome.tabs.sendMessage(tabs[0].id, {},
	      	function(data) {
	      		// 取得結果を連結してchromestorageに格納&再描画
	      		var storage_data = JSON.parse(document.getElementById("ChromePlugin-result-disp").value);
	      		storage_data.push(data);
	      		saveData(storage_data);
	      	});
    	});
	});

	// Deleteボタン押下時
	document.getElementById("ChromePlugin-del").addEventListener("click", function(){
		// 削除確認
		if(confirm("全件削除しますか？")) saveData([]);
	});
});